Name:		wfuzz
Version:	3.1.0
Release:	%mkrel 1
Summary:	The web bruteforcer
License:	GPLv2
Group:		Monitoring
URL:		http://www.edge-security.com/wfuzz.php
Source:		http://www.edge-security.com/soft/wfuzz-%{version}.tar.gz
Patch0:     wfuzz-3.1.0-workaround-automatic-dependencies.patch
BuildArch:	noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

Requires:	python3-curl

%description
Wfuzz is a tool designed for bruteforcing Web Applications, it can be used for
finding resources not linked (directories, servlets, scripts, etc), bruteforce
GET and POST parameters for checking different kind of injections (SQL, XSS,
LDAP,etc), bruteforce Forms parameters (User/Password), Fuzzing,etc.

%prep
%setup -q
%patch0 -p1

%build
%py3_build

%install
%py3_install
rm -f %{buildroot}%{_prefix}/docs/user/advanced.rst

%files
%doc LICENSE README.md
%{_bindir}/wfencode
%{_bindir}/wfpayload
%{_bindir}/wfuzz
%{_bindir}/wxfuzz
%{python3_sitelib}/wfuzz
%{python3_sitelib}/wfuzz-%{version}-py*.egg-info



%changelog
* Wed Nov 25 2020 guillomovitch <guillomovitch> 3.1.0-1.mga8
+ Revision: 1649297
- new version 3.1.0

* Sun Sep 27 2020 guillomovitch <guillomovitch> 3.0.1-1.mga8
+ Revision: 1630755
- new version 3.0.1

* Thu Jul 23 2020 ovitters <ovitters> 2.4.5-3.mga8
+ Revision: 1608385
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 2.4.5-2.mga8
+ Revision: 1535094
- Mageia 8 Mass Rebuild

* Sat Feb 15 2020 guillomovitch <guillomovitch> 2.4.5-1.mga8
+ Revision: 1526430
- new version 2.4.5

* Fri Oct 11 2019 daviddavid <daviddavid> 2.4-3.mga8
+ Revision: 1451539
- fix dependency

* Wed Sep 18 2019 tv <tv> 2.4-2.mga8
+ Revision: 1443651
- rebuild for python-3.8

* Mon Jul 01 2019 guillomovitch <guillomovitch> 2.4-1.mga8
+ Revision: 1417241
- new version 2.4
- switch to python 3

* Thu Jan 17 2019 guillomovitch <guillomovitch> 2.3.4-1.mga7
+ Revision: 1357563
- new version 2.3.4

* Sun Nov 11 2018 guillomovitch <guillomovitch> 2.3.1-1.mga7
+ Revision: 1329530
- new version 2.3.11

* Fri Sep 21 2018 umeabot <umeabot> 2.2.11-2.mga7
+ Revision: 1292007
- Mageia 7 Mass Rebuild

* Sun May 13 2018 guillomovitch <guillomovitch> 2.2.11-1.mga7
+ Revision: 1228895
- new version 2.2.11

* Sat Oct 28 2017 guillomovitch <guillomovitch> 2.2.3-1.mga7
+ Revision: 1174474
- new version 2.2.3

* Mon Jan 16 2017 guillomovitch <guillomovitch> 2.1.4-1.mga6
+ Revision: 1082031
- new version 2.1.4

* Mon Feb 08 2016 umeabot <umeabot> 1.4c-7.mga6
+ Revision: 942739
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4c-6.mga5
+ Revision: 739902
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4c-5.mga5
+ Revision: 690301
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4c-4.mga4
+ Revision: 520161
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.4c-3.mga3
+ Revision: 385685
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 20 2011 guillomovitch <guillomovitch> 1.4c-2.mga2
+ Revision: 127284
- fix group

* Tue Jul 19 2011 guillomovitch <guillomovitch> 1.4c-1.mga2
+ Revision: 126459
- imported package wfuzz


* Wed Jun 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.4c-1mdv2011.0
+ Revision: 682371
- import wfuzz

